View Issue Details

IDProjectCategoryView StatusLast Update
0003587SymmetricDSImprovementpublic2018-06-05 15:30
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.36Fixed in Version3.8.36 
Summary0003587: Noorder sequence for performance on Oracle RAC
DescriptionOracle RAC must coordinate an ordered sequence (for sym_data) across the cluster, which results in wait time overhead for high throughput change capture. A "noorder" sequence reduces the overhead and is 30x faster. Add a oracle.sequence.noorder parameter that can be enabled for better performance on Oracle RAC. It will alter the sym_data sequence to be "noorder", add an index to sym_data for (create_time, data_id), and query sym_data with an order by of create_time and data_id.

Relationships

related to 0003586 closedelong Noorder sequence for performance on Oracle RAC 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 408fdfd7

2018-06-01 14:41:43

admin

Details Diff
0003587: Noorder sequence for performance on Oracle RAC
0003587
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.8 25752f90

2018-06-05 14:21:45

admin

Details Diff
0003587: Noorder sequence for performance on Oracle RAC
0003587
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File

Issue History

Date Modified Username Field Change
2018-05-31 14:10 elong New Issue
2018-05-31 14:10 elong Status new => assigned
2018-05-31 14:10 elong Assigned To => elong
2018-05-31 14:10 elong Relationship added related to 0003586
2018-06-01 15:00 admin Changeset attached => SymmetricDS 3.8 408fdfd7
2018-06-05 14:22 elong Status assigned => resolved
2018-06-05 14:22 elong Resolution open => fixed
2018-06-05 14:22 elong Fixed in Version => 3.8.36
2018-06-05 15:00 admin Changeset attached => SymmetricDS 3.8 25752f90
2018-06-05 15:30 mmichalek Status resolved => closed